/*
** XmgDict.h for  in 
** 
** Made by vianney rancurel
** Login   <vianney@epita.fr>
** 
** Started on  Wed Aug 25 14:18:44 1999 vianney rancurel
** Last update Thu Oct 28 20:23:25 1999 
*/
#ifndef XMGDICT_H
#define XMGDICT_H	1

#include "Xmg.h"

typedef struct		_XmgPixelRec
{
  Pixel			pixel;
  Colormap		cmap;
} XmgPixelRec;

#define AnyDepth	0

typedef struct		_XmgPixmapRec
{
  Pixmap		pixmap;
  int			depth;
} XmgPixmapRec;

extern t_dict		*XmgPixmapDict;
extern t_dict		*XmgXFSDict;
extern t_dict		*XmgPixelDict;

/* PROTO XmgDict.c */
/* XmgDict.c */
t_status XmgXFSDictAdd P((char *name, XFontStruct *xfs));
t_status XmgXFSDictGet P((char *name, XFontStruct **xfs));
t_status XmgPixelDictAdd P((char *name, Colormap cmap, Pixel pixel));
t_status XmgPixelDictGet P((char *name, int cmap, Pixel *pixel_ret));
t_status XmgPixmapDictAdd P((char *name, int depth, Pixmap pixmap));
t_status XmgPixmapDictGet P((char *name, int depth, Pixmap *pixmap_ret));
t_status XmgPixmapDictForceGet P((Display *display, char *name, int depth, Pixmap *pixmap_ret));
t_status XmgDestroyPixmapDictWalk P((t_hash_elt *he, void *unused));
t_status XmgDestroyXFSDictWalk P((t_hash_elt *he, void *unused));
t_status XmgDestroyPixelDictWalk P((t_hash_elt *he, void *unused));
void XmgDestroy P((void));
t_status XmgPixmapDictStatusWalk P((t_hash_elt *he, void *unused));
#endif
